import { DefaultResponse } from "../response/response.model";
export interface PaginationInfo {
    itens: number;
    limitByPage: number;
    actual: number;
    pages: number;
    previous?: any;
    next?: any;
    urlFilter?: any;
}
export interface Contract {
    id: string;
    contractId: string;
    fantasyName: string;
    userId: string;
}
export declare enum UpdateUserContractActionsTypes {
    inserted = "inserted",
    deleted = "deleted",
    none = "none"
}
export declare type UpdateUserContractActions = UpdateUserContractActionsTypes.inserted | UpdateUserContractActionsTypes.deleted | UpdateUserContractActionsTypes.none;
export interface UserContractUpdatedResponse extends DefaultResponse {
    contractId: string;
    email: string;
    action: UpdateUserContractActions;
}
export interface UpdateUserContractRequest {
    insertUpdate: boolean;
    username: string;
    contractId: string;
}
export declare class AddUserContractRequest implements UpdateUserContractRequest {
    username: string;
    contractId: string;
    readonly insertUpdate = true;
    constructor(username: string, contractId: string);
}
export declare class RemoveUserContractRequest implements UpdateUserContractRequest {
    username: string;
    contractId: string;
    readonly insertUpdate = false;
    constructor(username: string, contractId: string);
}
