import { Action } from '@ngrx/store';
import { FetchDataResponse } from '../../response/response.model';
import { Contract, UpdateUserContractRequest } from '../contract.model';
export declare enum ContractsActionTypes {
    FetchAllData = "[Contracts] Fetch All Data",
    DataFetched = "[Contracts] Data Fetched",
    DataFetchFailed = "[Contracts] Data Fetch Failed",
    UpdateUserContracts = "[Contracts] Update User Contracts"
}
export declare class FetchAllData implements Action {
    readonly type = ContractsActionTypes.FetchAllData;
}
export declare class DataFetched implements Action {
    payload: FetchDataResponse<Contract>;
    readonly type = ContractsActionTypes.DataFetched;
    constructor(payload: FetchDataResponse<Contract>);
}
export declare class DataFetchFailed implements Action {
    readonly type = ContractsActionTypes.DataFetchFailed;
}
export declare class UpdateUserContracts implements Action {
    payload: UpdateUserContractRequest[];
    readonly type = ContractsActionTypes.UpdateUserContracts;
    constructor(payload: UpdateUserContractRequest[]);
}
export declare type ContractsActions = FetchAllData | DataFetched | DataFetchFailed | UpdateUserContracts;
