import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { ObserverComponent } from '../../components/observer.component';
import { Sistema } from '../../sistemas/sistemas.model';
import { SistemasFacade } from '../../sistemas/state/sistemas.facades';
import { Role, RoleGroup } from '../roles.model';
import { RolesFacade } from '../state/roles.facades';
export declare class SelectRolesComponent extends ObserverComponent implements OnInit, OnChanges {
    private rolesFacade;
    private sistemasFacade;
    roles: Role[];
    rolePermission: number;
    filterProfile: boolean;
    insert: EventEmitter<{}>;
    remove: EventEmitter<{}>;
    roleGroups$: Observable<RoleGroup[]>;
    selectedSistema$: BehaviorSubject<Sistema | null>;
    usuarioRoles$: BehaviorSubject<Role[]>;
    rolesList: Role[];
    usuarioRoleGroups: RoleGroup[];
    sistemas: Sistema[];
    selectedRoles: string[];
    selectedUsuarioRoles: string[];
    constructor(rolesFacade: RolesFacade, sistemasFacade: SistemasFacade);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    insertRoles(rolesNames: string[]): void;
    removeRoles(rolesNames: string[]): void;
    selectSistema(sistema: Sistema): void;
}
