import { Contract } from '../contractUser/contract.model';
import { DefaultResponse } from '../response/response.model';
import { Role } from '../roles/roles.model';
import { Subsidiary } from '../subsidiaries/subsidiaries.model';
import { SubsidiarySegment } from '../subsidiarySegment/subsidiaryXsegment.model';
export interface Usuario {
    id: number;
    userName: string;
    userNameAD: string | null;
    name: string;
    phoneNumber: any;
    email: string;
    normalizedEmail: string;
    lockoutEnd: any;
    twoFactorEnabled: boolean;
    phoneNumberConfirmed: boolean;
    emailConfirmed: boolean;
    lockoutEnabled: boolean;
    concurrencyStamp: string;
    securityStamp: string;
    accessFailedCount: number;
    hostFirewall: string | null;
    roles: Role[];
    IsCustomer: boolean;
    subsidiaries: Subsidiary[];
    contracts: Contract[];
    subsidiarySegment: SubsidiarySegment[];
}
export interface CreateUsuarioRequestData {
    id: number | null;
    Name: string;
    Email: string;
    Password: string;
    userNameAD: string | null;
    hostFirewall?: string;
    lockoutEnabled?: boolean;
    IsCustomer?: boolean;
    subsidiaries?: Subsidiary[];
    contracts?: Contract[];
    roles?: Role[];
}
export interface FetchUsuarioDataResponse extends DefaultResponse {
    data: Usuario;
}
export declare class UsuarioRoleInsertData {
    userName: string;
    role: Role;
    constructor(userName: string, role: Role);
}
export declare class UsuarioRoleRemoveData {
    userName: string;
    role: Role;
    constructor(userName: string, role: Role);
}
export declare class UsuarioSubsidiaryInsertData {
    userName: string;
    subsidiary: Subsidiary;
    constructor(userName: string, subsidiary: Subsidiary);
}
export declare class UsuarioSubsidiaryRemoveData {
    userName: string;
    subsidiary: Subsidiary;
    constructor(userName: string, subsidiary: Subsidiary);
}
export interface UpdateUsuarioHostFirewallRequest {
    email: string;
    hostfirewall: string[];
}
export declare class UsuarioContractInsertData {
    userName: string;
    contract: Contract;
    constructor(userName: string, contract: Contract);
}
export declare class UsuarioContractRemoveData {
    userName: string;
    contract: Contract;
    constructor(userName: string, contract: Contract);
}
